Skip to main content
Set Payout Destination

Authorizations

X-TXC-APIKEY
string
header
required

The public WhiteBIT API key.

X-TXC-PAYLOAD
string
header
required

Base64-encoded JSON request body.

X-TXC-SIGNATURE
string
header
required

HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).

Body

application/json
accountName
string
required

Mining pool account name

Example:

"my_miner_01"

destination
enum<string>
required

Payout destination type

Available options:
main_balance,
external_address
Example:

"external_address"

address
string

External BTC address. Required when destination is external_address. Supports all standard Bitcoin address formats.

Maximum string length: 100
Example:

"bc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh"

Response

Successful response

payoutDestination
enum<string>
Available options:
main_balance,
external_address
externalAddress
string | null